package com.tykj.dev.rfid.service;

import com.tykj.dev.rfid.entity.domin.RfidChangeLog;
import com.tykj.dev.rfid.entity.vo.RfidChangeLogSelectVo;

import java.util.List;

/**
 * @author HuangXiahao
 * @version V1.0
 * @packageName com.tykj.dev.rfid.service
 **/

public interface RfidChangeLogService {

    RfidChangeLog getOne(Integer id);

    List<RfidChangeLog> getList(RfidChangeLogSelectVo rfidChangeLogSelectVo);

    RfidChangeLog addEntity(RfidChangeLog rfidChangeLog);

    /**
     * @param rfidChangeLogs 异步上链
     */
    void sendHash(List<RfidChangeLog> rfidChangeLogs);

    RfidChangeLog updateEntity(RfidChangeLog rfidChangeLog);

}
